
close all
clear all
clc

filename=input('name txt file to import (no extension):  ','s');
name=[filename,'.tsv'];
data = importdata(name);

sz=size(data.data)


misure=[data.data(:,2),data.data(:,3),data.data(:,4),data.data(:,5),data.data(:,9),data.data(:,10),zeros(sz(1),1),data.data(:,8),data.data(:,7),data.data(:,6)];
A=data.data(:,2);
B=data.data(:,3);
M=data.data(:,4);
N=data.data(:,5);
I=data.data(:,6);
V=data.data(:,7);
dev=data.data(:,7);

h={'Spa.1', 'Spa.2', 'Spa.3', 'Spa.4', 'Rho', 'Dev', 'M', 'Sp','Vp','In'};
h2={'A', 'B', 'M', 'N', 'R', 'D', 'M', 'S','V','I'};


data2=[h;num2cell(misure)];


filenameout=input('name of file all file line:  ','s');
fileout=[filenameout,'.txt'];

dlmwrite(fileout,h2,' ');
dlmwrite (fileout,misure,'-append','delimiter','\t')


%%%%for Profiler
nn=(1:1:sz(1))';

R=(V./I);
protocol=[nn,M,N,A,B,R];

fileout2=('protocolOK.dat');
dlmwrite(fileout2,sz(1),' ');
dlmwrite (fileout2,protocol,'-append','delimiter','\t')


%%%%further cleaning

plot(R)


MAX = max(R) % Maximum  
MIN= min (R)% minimum 
mu = mean(R) % Data mean
sigma = std(R); % Data standard deviation

Ns=input('Nsigma deviation? (usually 2):  ');% Number of sigma for removing outliers

outliers = (abs(R - mu)) > Ns*sigma;%outliers identification

Rclean = R; % 
Rclean(outliers) = NaN; % Add NaN value

plot(R)
hold on
plot(Rclean)

RcleanSmooth=smooth(Rclean,'moving');%smoothing window, the span can be determined


protocol=[nn,M,N,A,B,RcleanSmooth];

fileout2=('protocolSMOOTH.dat');
dlmwrite(fileout2,sz(1),' ');
dlmwrite (fileout2,protocol,'-append','delimiter','\t')

figure(2)
plot(RcleanSmooth)