clear all
close all
clc

filename=input('name tsv file to import (no extension): ','s');
maes=[filename,'.tsv']
mae=importdata(maes);
datamae=mae.data;
headmae=mae.textdata;

mis=datamae(:,[1]);
A=datamae(:,[2]);
B=datamae(:,[3]);
M=datamae(:,[4]);
N=datamae(:,[5]);
I=datamae(:,[6]);
V=datamae(:,[7]);
PS=datamae(:,[8]);
%Rho=datamae(:,[9]);
Var=datamae(:,[10]);
% Ms=datamae(:,[11]);
Ms=[zeros(size(A))];
Rho=[V./I]


datamae2= [A,B,M,N,Rho,Var, Ms,PS,V,I];
data4profiler= [mis,A,B,M,N,Rho];
Nmis=size(datamae2,1)

fileout=input('name txt file to export (with .txt): ','s');
%csvwrite([filename2],datamae)
%header={'"mis"' '"A"' '"B"' '"M"' '"N"' '"I (mA)"' '"V (mV)"' '"PS (mV)"' '"r (O*m)"' '"var"' '"M (ms)"'}
header= {'Spa.1', 'Spa.2', 'Spa.3', 'Spa.4', 'Rho' , 'Dev.',  'M' ,  'Sp',   'Vp',   'In'}  
dlmwrite(fileout,header,'delimiter',' ','precision','%6.2f','newline','pc')
dlmwrite(fileout,datamae2,'delimiter',' ','precision','%6.2f','newline','pc','-append')

fileout2=input('name txt file to export 4 profiler (with .txt): ','s');
header= Nmis  
dlmwrite(fileout2,header,'delimiter',' ','precision','%6.0f','newline','pc','-append')
dlmwrite(fileout2,data4profiler,'delimiter',' ','precision','%6.0f %6.0f %6.0f %6.0f %6.0f %6.4f','newline','pc','-append')

%%%%fileout2=input('name txt file to export 4 profiler (with .txt): ','s');
fileout2=input('name txt file to export 4 profiler (with .txt): ','s');
header= Nmis  
dlmwrite(fileout2,header,'delimiter',' ','precision','%6.0f','newline','pc','-append')
dlmwrite(fileout2,data4profiler,'delimiter','\t','precision','%6d %6d %6d %6d %6d %6.2f','newline','pc','-append')
%%%%%%

%dlmwrite(fileout, datamae, 'delimiter',' ','precision','%6.2f')

%electrodes for resipy
fileout3='electrodes.csv'
filename=input('N electrodes:  ');
Nel=[filename];
filename2=input('spacing:  ');
spacing=[filename2];
label=(1:1:Nel)';
filename=input('total length m:  ');
LL=[filename];
x=(0:spacing:LL)';
y=-2*ones(Nel,1)
buried=ones(Nel,1)
electrodes= [label,x,y,buried];
header= {'label','x','y','z,','buried'}  
dlmwrite(fileout3,header,'delimiter',' ','precision','%6.2f','newline','pc','-append')
dlmwrite(fileout3,electrodes,'delimiter',' ','precision','%6.0f','newline','pc','-append')